using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;

namespace OcadMapLibrary {

	public abstract class MapObject {

		public abstract void DrawObject(DrawingContext drawingContext, List<MapSymbol> mapSymbols, MapColor mapColor);

		public abstract Rect GetBoundingRect(List<MapSymbol> mapSymbols);
		
		MapSymbolRef targetSymbol;
		public MapSymbolRef TargetSymbol {
			get {
				return targetSymbol;
			}
			set {
				targetSymbol = value;
			}
		}

	}

}
